import { http } from '@/utils/http/axios';

export function List(params) {
  return http.request({
    url: '/cdk/list',
    method: 'get',
    params,
  });
}

export function Add(params) {
  return http.request({
    url: '/cdk/add',
    method: 'post',
    params,
  });
}

export function Del(params) {
  return http.request({
    url: '/cdk/del',
    method: 'post',
    params,
  });
}

export function Received(params) {
  return http.request({
    url: '/cdk/received',
    method: 'get',
    params,
  });
}

//兑换码列表
export function RedeemCodeList(params) {
  return http.request({
    url: '/cdk/redeemCodeList',
    method: 'get',
    params,
  });
}

export function BatchInvalid(params) {
  return http.request({
    url: '/cdk/batchInvalid',
    method: 'post',
    params,
  });
}
